

<?php
include_once("../header.php");
      include_once("../php/config.php");
      $sql = mysql_query("select * from ventas  where CONCAT(cliente,'',producto, ' ',total) like '%".$_POST['txt_buscar']."%' and  fecha='$hoy' order by id_venta desc
   limit 20") or die(mysql_error());
   
 $sql_tasa = mysql_query("select * from tasas where moneda='GOURDE'") or die(mysql_error());
 $tasa_compra = @mysql_result($sql_tasa, 0, "compra");
   
	  
	  

?>



<style>
  .form-control{
    font-size: 16px;
	font-weight:bolder;
  }


label{
    font-size: 18px;
  }
.nav{
 @ display: none;
}
td, th{
	font-size:18px;

}


.container{
  background:white;
  padding: 15px;
}
</style>
    <div class="container">

 <hr>

		<div class="row">
			<div class="col-md-5 mt-2">



        <script type="text/javascript">
          function modalProducto(){
			    $("#frm").trigger('reset');
            $("#modalProducto").modal('show');


        }



        </script>


		      <form name="frm" action="" method="POST" id="frm">

     <span class="text-rojo" style="font-size:45px;"><i class="bi bi-cash-coin"></i> Venta de recarga</span><br>

<hr>
			   <div class="row">
          <div class="col-xs-3"><b># Venta</b></div>
          <div class="col-xs-2">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="id" name="id" readonly>
          </div>
        </div>
		
		  <div class="row">
        <div class="col-xs-3">Fecha</div>
        <div class="col-xs-4">
          <input autocomplete="off" type="Date"  class="form-control mb-2 bold" id="fecha" name="fecha" value="<?php echo $hoy?>">
        </div>
       </div>
	   
	   
		  <div class="row">
        <div class="col-xs-3">Termino</div>
        <div class="col-xs-4">
        <select id="termino" class="form-control mb-2 ">
		<option value="Efectivo">Efectivo</option>
		<option value="Credito">Credito</option>
		</select>
        </div>
       </div>
	   


		
		 <div class="row">
         <div class="col-xs-3">Revendedor | Cliente</div>
         <div class="col-xs-9">
           <select class="form-control" id="cliente"  onChange="get_cliente(this.value)">

				<option value="" selected></option>
				<?php $sql3 = mysql_query("select * from clientes") or die(mysql_error());  ?>

				<?php while ($r3 = mysql_fetch_array($sql3)) { ?>
				  <option value="<?php echo $r3['nombre'] ?>"><?php echo $r3['nombre'] ?></option>
				<?php } ?>
				</select>
         </div>
       </div>
	   <br>
	   
	   <script>
	     $(function(){
			 
			    
			 $("#cliente").select2()
			
			 
		 })
	   </script>
	   
        <div class="row">
         <div class="col-xs-3">Producto</div>
         <div class="col-xs-9">
           <select class="form-control" id="producto" >

				<option value="" selected></option>
				<?php $sql0 = mysql_query("select * from productos") ?>

				<?php while ($r0 = mysql_fetch_array($sql0)) { ?>
				  <option value="<?php echo $r0['descripcion'] ?>"><?php echo $r0['descripcion'] ?></option>
				<?php } ?>
				</select>
         </div>
       </div>
	   <br>
	   <div class="row">
         <div class="col-xs-3">Moneda</div>
         <div class="col-xs-9">
            <select class="form-control" id="moneda_origen" onchange="get_tasa(this.value);" style="font-size:14px">

				<option value=""></option>
				<?php $sql2 = mysql_query("select * from monedas order by id asc") ?>

				<?php while ($r = mysql_fetch_array($sql2)) { ?>
				  <option value="<?php echo $r['nombre'] ?>"><?php echo $r['nombre'] ?></option>
				<?php } ?>
				</select>
         </div>
       </div>

  <br>

       <div class="row">
        <div class="col-xs-3">Tasa moneda origen</div>
        <div class="col-xs-3">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="tasa_moneda_origen" name="tasa_moneda_origen" value="" onKeyUp="calculo()">
        </div>
       </div>


       <div class="row">
        <div class="col-xs-3">Monto moneda local | Costo</div>
        <div class="col-xs-3">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="costo" name="costo" value="" onKeyUp="calculo()">
        </div>
		
		<div class="col-xs-2"><b>Comision</b></div>
        <div class="col-xs-3">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="comision" name="comision" value="" onKeyUp="calculo()">
        </div>
		
       </div>
	   
	   <div class="row">
        <div class="col-xs-3"><b>TOTAL</b></div>
        <div class="col-xs-3">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="total" name="total" value="" readonly>
        </div>
       </div>
	   <hr>
	     <div class="row">
        <div class="col-xs-3"><b>Creado por</b></div>
        <div class="col-xs-9">
          <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="usuario" name="usuario" value="" readonly>
        </div>
       </div>


       		  </form>





            <button class="btn btn-rojo" type="button" onclick="grabar_producto()" id="btngrabar"><i class="bi bi-download"></i> Registrar</button>

  <button class="btn btn-secondary" type="button" onclick="window.location.href='compras.php'" id="delete"><i class="bi bi-file"></i> Nuevo</button>
				<button class="btn btn-secondary" type="button" onclick="borrar()" id="delete"><i class="bi bi-trash"></i> Borrar</button>

            <button class="btn btn-secondary" data-dismiss="modal"> <i class="bi bi-arrow-clockwise"></i> Salir</button>
          </div>






      <div class="col-md-7 mt-2">
        <form action="" method="POST" id="frm">
          <div class="row">
            <div class="col-xs-2">Buscar</div>
            <div class="col-xs-10"><input type="text" class="form-control" id='txt_buscar' name='txt_buscar' placeholder='Buscar...'></div>
          </div>
          <br>
        <div class="table-responsive border p-3">

					<table class="table" data-page-length='100' style="width: 100%">


              <th>Fecha</th>

              <th>Producto</th>
              <th>Revendedor - Cliente </th>
			  <th>Valor moneda local </th>
              <th>Total </th>
			   
              <th>Editar</th>


						<tbody>
            <?php while($r=mysql_fetch_array($sql)){?>
			<?php
			$c++;
			
              $folio = $r["id_venta"];
              $c++;
			  $tasa_moneda_origen = $r["tasa_moneda_origen"];
			  $tasa_compra = $r["tasa_compra"];
			  
			  $dif_tasa = $tasa_compra - $tasa_moneda_origen;
			  
			  $ganancia+=$dif_tasa * $r["costo"];
			  
              $total+=$r["total"];
              $balance+=$r["balance"];
              $costo+=$r["costo"];
              
              
			
      $id = $r["id"];
			?>
							<tr>
               <td><?php echo (fecha($r["fecha"]).", ".$r["hora"])?></td>
				<td style='font-size:13px;'><a class="" href="#modalProducto" data-toggle="modal" onClick='ver(<?php echo $r["id_venta"]?>)'><i class="bi bi-stickies"></i> <?php echo $r["producto"]?></a></td>
				<td><?php echo ($r["cliente"])?></td>
                <td><?php echo @decimal($r["costo"])?></td>
                <td><?php echo @decimal($r["total"])."<br><span style='font-size:12px; color:blue;'>Balance en ".$r["moneda_origen"]."</span>";?></td>

				

               <td><a class="text-primary" href="#"  onClick='ver(<?php echo $r["id"]?>)'><i class="bi bi-pen"></i> </a></td>


            </tr>
                                                        <?php }?>
						</tbody>
					</table>
        </form>
					<hr>
					<b>CANT.:</b> <?php echo $c;?> | <b>MONTO: RD$</b> <?php echo decimal($costo);?> 
					<hr>
					<b>MONTO GOURDE:</b> <?php echo decimal($total);?>| <b>GANANCIAS:</b> <?php echo decimal($ganancia);?>
					 
				</div>

      </div>
      </div>





        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
		$hoy = @date('Y-m-d');
		$fecha_a = date('Y-m-d', strtotime($hoy.  '+ 30 days'));

        ?>

<script>
$(function(){
$("#producto option[value='OTROS']").prop('selected', true);
  $("#moneda_origen option[value='GOURDE']").prop('selected', true);
  
  
  $("#moneda_origen").change();
  $("#producto").change();
})

function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
    

            var sql="select * from ventas where id_venta='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                   
                    $("#fecha").val(rs.data[i].fecha);

                   
					           
                    $("#id").val(rs.data[i].id_venta);
                  
				   $("#producto option[value='"+rs.data[i].producto+"']").prop('selected', true);
				   $("#moneda_origen option[value='"+rs.data[i].moneda_origen+"']").prop('selected', true);
				   $("#tasa_moneda_origen").val(rs.data[i].tasa_moneda_origen);
				   $("#costo").val(rs.data[i].costo);
				   $("#total").val(rs.data[i].total);
				    $("#usuario").val(rs.data[i].usuario);
					$('#cliente').val(rs.data[i].cliente).trigger('change.select2');
				   
				   
				   
                   

                  }

            })
        }


function get_tasa(n){
     $("#tasa_moneda_origen").val("");

            var sql="select * from tasas where moneda='"+n+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                   
                    $("#tasa_moneda_origen").val(rs.data[i].venta);
						 calculo()
                   
					           
                    

                  }

            })
        }
		
		
		
function get_cliente(n){
     $("#comision").val("0");

            var sql="select * from clientes where nombre='"+n+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                   
                    $("#comision").val(rs.data[i].comision);
						 calculo()
                   
					           
                    

                  }

            })
        }

		

function calculo(){
	var tasa = $("#tasa_moneda_origen").val();
	var costo = $("#costo").val();
	var comision = $("#comision").val();
	var total = $("#total").val();
	
	if(comision==""){comision = 0;}
	
	if(costo==""){costo = 0;}
	if(tasa==""){tasa = 0;}
	if(tasa==""){tasa = 0;}
	
	var datos = (parseFloat(costo) * parseFloat(tasa));
    comision  = datos * comision / 100;
	
	/////$("#total").val(parseFloat(datos) + parseFloat(comision));
	$("#total").val(datos);
}



  function grabar_producto(){
  if(!confirm("Seguro(a) que desea registrar esta venta?")){return;}

     var id = $("#id").val()
     var fecha = $("#fecha").val();
	 var termino = $("#termino").val();
     var cliente = $("#cliente").val();
     var producto = $("#producto").val();
     var moneda_origen = $("#moneda_origen").val();
	 var tasa_moneda_origen = $("#tasa_moneda_origen").val();
	 var monto = $("#costo").val();
	 var total = $("#total").val();
	 var tasa_compra = "<?php echo $tasa_compra?>";
	 

  

	$("#btngrabar").prop("disabled", true)

  if(fecha=="" || cliente=="" || producto=="" || moneda_origen=="" || tasa_moneda_origen=="" || monto=="" || monto<=0 || total<=0 || total==""){alert('Faltan datos'); return}
    var sql="";
        if(id==""){
            sql="INSERT INTO ventas set ";
            sql+=" fecha='"+fecha+"'";
            sql+=", hora=CURTIME()";
            sql+=", cliente='"+cliente+"'";
			sql+=", producto='"+producto+"'";
			sql+=", moneda_origen='"+moneda_origen+"'";
			sql+=", tasa_moneda_origen='"+tasa_moneda_origen+"'";
			sql+=", termino='"+termino+"'";
			sql+=", costo='"+monto+"'";
			sql+=", total='"+total+"'";
			sql+=", usuario='"+myUser+"'";
			sql+=", tasa_compra='"+tasa_compra+"'";
			
			if(termino=="Credito"){
				var comision = $("#comision").val()
				var total_comision = total * comision / 100;
				var balance_neto = total - total_comision;
					
				sql+=", balance='"+balance_neto+"'";
				balanceAcliente(cliente, total, comision);
			}
			inventario(producto, total);

			
 

        }else{

            sql="UPDATE ventas set";
            sql+=" fecha='"+fecha+"'";
            sql+=", hora=CURTIME()";
            sql+=", cliente='"+cliente+"'";
			sql+=", termino='"+termino+"'";
			sql+=", producto='"+producto+"'";
			sql+=", moneda_origen='"+moneda_origen+"'";
			sql+=", tasa_moneda_origen='"+tasa_moneda_origen+"'";
			
			sql+=", costo='"+monto+"'";
			sql+=", total='"+total+"'";
            sql+=" WHERE id_venta='"+id+"'";

        }

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
		  
		  if(id==""){
			  var ult =  "<?php echo $ult?>";
			  ////lessinventario()
               imprimir();
		  }
		  
		  setTimeout(function(){window.location.reload()},1000)
		  
		  
	    
      }else{
          alert(data);

      }

    })
}






 function borrar(){
   var id = $("#id").val()
     if(id==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    

    var sql="";
    sql="delete from ventas where id_venta='"+id+"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
		/////inventario()
        window.location.reload()
		
        

      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
}


function inventario(){
	
	 
	  var producto = $("#producto").val()
	  var costo = $("#costo").val()
	  var total = $("#total").val()
	  
      if(costo==""){costo = 0;}
	   if(total==""){total = 0;}
     

    var sql="";
    sql="update productos set stock=stock - '"+ total +"', costo=costo - '"+ total +"' where descripcion='"+ producto +"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        ////$("#modalcobrador").modal('hide');
        noti("success","Producto actualizado","Registro grabado");
	
      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
	
}


function lessinventario(){
	
	 
	  var producto = $("#producto").val()
	  var costo = $("#costo").val()
	  var total = $("#total").val()
	  
      if(costo==""){costo = 0;}
	   if(total==""){total = 0;}
     

    var sql="";
    sql="update productos set stock=stock - '"+ total +"', costo=costo - '"+ costo +"' where descripcion='"+ producto +"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        ////$("#modalcobrador").modal('hide');
        noti("success","Producto actualizado","Registro grabado");
	
      }else{
          msg(data);

      }
        $("#loading").modal('hide');
    })
	
}


 
 function uniKeyCode(event) {
  var key = event.keyCode;
  //alert("Unicode KEY code: " + key);
  if(key=="13"){

		////if($("#txt_buscar").val()!=""){
			filtrar();
		///}

	  }

}



function imprimir(){
	

            var sql="select * from ventas where usuario='"+ myUser +"' order by id_venta desc limit 1";
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                   
                    var id = rs.data[i].id_venta;
			 window.open('recibo.php?id='+id,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=850');
					           
                    

                  }

            })
}





function balanceAcliente(cliente, total, comision){
				
					
					var total_comision = total * comision / 100;
					var balance_neto = total - total_comision;
	var param = "cliente="+cliente;
	    param+="&monto="+total;
		
	 $.get("../api/balanceAcliente.php?"+param, function(data, st){
		 if(st=="success"){
			 alert(data)
			if(data=="1"){
				alert("el balance del cliente se ha actualizado")
			}
		 }
	 })
}
		
        </script>
